/**
 *****************************************************************************
   @example  Blinky.c
   @brief    Simple blinking LED example for the ADuCM320
             
   @version  V0.1
   @author   ADI
   @date     June 2014 

              
All files for ADuCM320 provided by ADI, including this file, are
provided  as is without warranty of any kind, either expressed or implied.
The user assumes any and all risk from the use of this code.
It is the responsibility of the person integrating this code into an application
to ensure that the resulting application performs as required and is safe.

**/

#include <aducm320.h>

void delay(long int);

int main (void)
{
   pADI_WDT ->T3CON = 0;  //Disable watchdog
   pADI_RESET->RSTKEY =  0x2009;                   //By Default Software and Watchdog resets don't reset the LV die and GPIOs
   pADI_RESET->RSTKEY =  0x0426;                   //During debug it's useful that Software tools have the ability to reset them
   pADI_RESET->RSTCFG = RSTCFG_GPIO_PLA_RETAIN_DIS;//So disable retain function during debug.
   pADI_GP2->GPOE |= 0x10;  //enable P2.4 output pin connected to LED
   
   while (1)
   {
      pADI_GP2->GPTGL = 0x10; // Toggle pin to toggle LED
      delay(1000000);
   }
}


// Simple Delay routine
void delay (long int length)
{
   while (length >0)
      length--;
}

