/**
 *****************************************************************************
   @file     FeeLib.h
   @brief    Set of Flash peripheral functions.
   @version  V0.4
   @author   ADI
   @date     September 2014
   @par Revision History:
   - V0.1, March : initial version2013.
   - V0.2, October 2013: added FeeProTmp(), FeeWrPro(), FeeIntCfg(), FeeAuto(),
                        FeeClrCache(), FeeIntAbt() and FeeAbtAdr()
   - V0.3, July 2014: added FeeCacheClr() and FeeCacheEn().
   - V0.4, September 2014: added FeeCrc().

All files for ADuCM320 provided by ADI, including this file, are
provided  as is without warranty of any kind, either expressed or implied.
The user assumes any and all risk from the use of this code.
It is the responsibility of the person integrating this code into an application
to ensure that the resulting application performs as required and is safe.
**/

//#include "ADuCM320.h"

extern int FeeMErs(int iBlock);
extern int FeePErs(unsigned long lAddr);
extern int FeeWr(unsigned long lAddr, unsigned long long udData);   
extern int FeeSta(void);
extern int FeeSign(unsigned long ulStartAddr, unsigned long ulEndAddr);
extern int FeeSig(void);
extern int FeeProTmp(unsigned long long llKey, int iRdPro);
extern int FeeWrPro(unsigned long long udKey);
extern int FeeFAKey(unsigned long long udKey);
extern int FeeIntCfg(int iIrq);
extern int FeeAuto(int iCfg);
extern int FeeClrCache(void);
extern int FeeCacheClr(int iCache);
extern int FeeCacheEn(int iCache);
extern int FeeIntAbt(unsigned int iAEN0, unsigned int iAEN1);
extern unsigned int FeeAbtAdr(void);
extern int FeeCrc(int iLen,int *aiData);




