/**
 *****************************************************************************
   @file       MdLib.h
   @brief      Set of MDIO peripheral functions.
   @version    V0.1
   @author     ADI
   @date       2012/11/14
   @par Revision History:
   - V0.0, 2012/11/14: initial version.
   - V0.1, 2014/07/06: added MdInit().


All files for ADuCM320 provided by ADI, including this file, are
provided as is without warranty of any kind, either expressed or implied.
The user assumes any and all risk from the use of this code.
It is the responsibility of the person integrating this code into an application
to ensure that the resulting application performs as required and is safe.

**/

int MdInit(int iPhySz, int iRst, int iDrvPp);
int MdOn(int iOn, int iRst, int iDrvPp);
int MdCfg(int iPhyAdr, int iPASel, int iDevAdd);
int MdRxd(void);
int MdTxd(int iTxDat);
int MdAdr(void);
int MdPin(void);
int MdSta(void);
int MdRdI(void);
int MdIen(int iMdIEn);
int MdFrm(void);


#define MDCON_MD_DIS_BBA               (*(volatile unsigned long *) 0x420B8004)

